Skip to main content
PUT
update knowledge group

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier of the knowledge group

Body

application/json

Fields to update on the knowledge group. Omit a field to leave it unchanged.

name
string
description
string

Response

Successfully updated RAG group

A folder of documents that a persona can search via RAG tools.

id
string<uuid>

Unique identifier for the knowledge group.

name
string

Human-readable name for the group.

description
string | null

Free-form description of what the group contains.

documentCount
integer

Number of non-deleted documents currently in the group.

createdAt
string<date-time>

Timestamp when the group was created.

updatedAt
string<date-time> | null

Timestamp when the group was last updated.

Last modified on July 10, 2026